<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    <script
        src="https://code.jquery.com/jquery-3.5.1.js"
        integrity="sha256-QWo7LDvxbWT2tbbQ97B53yJnYU3WhH/C8ycbRAkjPDc="
        crossorigin="anonymous"></script>
    <title>Login</title>
</head>
<body>
    <div style="width: 100%; height: 100vh; align-items: center;" class="container-fluid d-flex justify-content-center">
        <div class="card card-body" style="max-width: 320px;">
            <p class="card-title mx-auto">Log In </p>
                <form action="" method="POST" id="loginForm">
                    <div class="form-group">
                        <label for="email">Email</label>
                        <input type="text" id="email" name="email" class="form-control">
                    </div>
                    <div class="form-group">
                        <label for="password">Password </label>
                        <input type="password" id="password" name="password" class="form-control">
                    </div>
                    <button type="submit"  class="btn-block btn btn-danger">Log in</button>
                </form>
            <a class="text-primary mt-1" onclick="gotoRegister()" >Not have account? Register now</a>
            <a  class="text-primary mt-1" onclick="gotoForgot()">Forgot password? Click here</a>
            <p class="text-warning pt-1" id="alertas"></p>
        </div>
    </div>

    <script>
        $("#loginForm").on("submit", (event) => {
            event.preventDefault();
            let email = $("#email").val()
            let  password = $("#password").val()
            $.ajax({
                url: 'http://localhost:4000/api/auth/login',
                method: 'POST',
                data: {email: email, password: password},
                success: (respuesta, status, xhr) => {
                    var token = xhr.getResponseHeader('Authorization')
                    localStorage.setItem('token', token)
                    $(location).attr('href', 'http://localhost:4000')
                },
                statusCode: {
                    400: () => {
                        $("#alertas").text("Por favor verifique los campos")
                    },
                    401: () => {
                        $("#alertas").text("Usuaio o contraseña incorrectos")
                    },
                    404: () => {
                        $("#alertas").text("No se ha encontrado ningun usuario con ese email")
                    }
                }
            })
        })
        function gotoRegister() {
            $(location).attr('href', 'http://localhost:4000/register')
        }
        function gotoForgot(){
            $(location).attr('href', 'http://localhost:4000/api/auth/forgot')
        }
    </script>
</body>
</html>